Bug 971792 - Got 503 error after creating a Ringo quick-start
Got 503 error after creating a Ringo quick-start
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 05:47 EDT by Gaoyun Pei
Modified: 2015-05-14 22:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:18:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-07 05:47:50 EDT
Description of problem:
Try to create a Ringo quick-start following this guide:
https://github.com/openshift/ringojs-openshift-example
The app url couldn't be accessed after git push, it shows "503 Service Temporarily Unavailable"

Version-Release number of selected component (if applicable):
devenv_3330
https://github.com/openshift/ringojs-openshift-example

How reproducible:
Always

Steps to Reproduce:
1.rhc app create -a foobar -t diy-0.1
2.cd foobar
git remote add upstream -m master git://github.com/openshift/ringojs-openshift-example.git
git pull -s recursive -X theirs upstream master
3.git push

Actual results:
There's something going wrong during git push. 
[root@dhcp-8-133 foobar]# git push
Counting objects: 1703, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (381/381), done.
Writing objects: 100% (1697/1697), 5.50 MiB | 1001 KiB/s, done.
Total 1697 (delta 1309), reused 1689 (delta 1306)
remote: Stopping DIY cart
remote: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/.openshift/action_hooks/constants: line 7: --modules ${RINGO_PACKAGES} ${RINGO_APP_MAIN} -H ${$OPENSHIFT_DIY_IP} -p ${$OPENSHIFT_DIY_PORT}: bad substitution
remote: Buildfile: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/ringojs/build.xml
remote: 
remote: init:
remote: 
remote: compile:
remote:     [mkdir] Created dir: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/ringojs/build/classes
remote:     [javac] Compiling 53 source files to /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/ringojs/build/classes
remote: 
remote: jar:
remote:       [jar] Building jar: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/ringojs/lib/ringo.jar
remote:       [jar] Building jar: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/ringojs/run.jar
remote: 
remote: BUILD SUCCESSFUL
remote: Total time: 12 seconds
remote: Starting DIY cart
remote: Starting: /var/lib/openshift/287808213673029794791424/app-root/runtime/repo/.openshift/action_hooks/constants: line 7: --modules ${RINGO_PACKAGES} ${RINGO_APP_MAIN} -H ${$OPENSHIFT_DIY_IP} -p ${$OPENSHIFT_DIY_PORT}: bad substitution
remote: RingoJs (pid 23681) started.
To ssh://287808213673029794791424@foobar-9.dev.rhcloud.com/~/git/foobar.git/
   e4f222b..328d1f6  master -> master

[root@dhcp-8-133 foobar]# rhc app show --state foobar
Cartridge diy-0.1 is started

Expected results:
No errors during git push and the app should be always available

Additional info:
Comment 1 Dan McPherson 2013-06-07 11:24:40 EDT
Fixed in the quickstart.
Comment 2 Gaoyun Pei 2013-06-08 04:13:22 EDT
This bug is fixed.

After creating a Ringo quick-start following this guide:
https://github.com/openshift/ringojs-openshift-example

Visit the app web url, got a "Hello Openshift World!" page.

Note You need to log in before you can comment on or make changes to this bug.